MapExpression (Groovy 2.4.14)
Date: 2018-02-24

org.codehaus.groovy.ast.expr

## Class MapExpression

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.AnnotatedNode
    - - org.codehaus.groovy.ast.expr.Expression
      - - org.codehaus.groovy.ast.expr.MapExpression

- Direct Known Subclasses:
    NamedArgumentListExpression

      public class MapExpression
      extends Expression

  Represents a map expression [1 : 2, "a" : "b", x : y] which creates a mutable Map
  Author:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapExpression()`
    `MapExpression(java.util.List<MapEntryExpression> mapEntryExpressions)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMapEntryExpression(Expression keyExpression, Expression valueExpression)`
    `void` | `addMapEntryExpression(MapEntryExpression expression)`
    `java.util.List<MapEntryExpression>` | `getMapEntryExpressions()`
    `java.lang.String` | `getText()`
    `boolean` | `isDynamic()`
    `java.lang.String` | `toString()`
    `Expression` | `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
    `void` | `visit(GroovyCodeVisitor visitor)`

    - ### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

      `getType, setType, transformExpressions, transformExpressions`

    - ### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

      `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

    - ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

      `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MapExpression

          public MapExpression()

    - #### MapExpression

          public MapExpression(java.util.List<MapEntryExpression> mapEntryExpressions)

  - ### Method Detail

    - #### addMapEntryExpression

          public void addMapEntryExpression(MapEntryExpression expression)

    - #### getMapEntryExpressions

          public java.util.List<MapEntryExpression> getMapEntryExpressions()

    - #### visit

          public void visit(GroovyCodeVisitor visitor)

      Overrides:
        `visit` in class `ASTNode`

    - #### isDynamic

          public boolean isDynamic()

    - #### transformExpression

          public Expression transformExpression(ExpressionTransformer transformer)

      Description copied from class: `Expression`
      Return a copy of the expression calling the transformer on any nested expressions
      Specified by:
        `transformExpression` in class `Expression`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getText

          public java.lang.String getText()

      Overrides:
        `getText` in class `ASTNode`

    - #### addMapEntryExpression

          public void addMapEntryExpression(Expression keyExpression,
                                            Expression valueExpression)